Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::lock_guard< Mutex > Class Template Referencefinal

`#include <mutex.h>`

## Public Member Functions
| lock_guard (Mutex &m)
| lock_guard (const lock_guard &other)=delete
lock_guard & | operator= (const lock_guard &other)=delete
| ~lock_guard ()

## Detailed Description

### template<typename Mutex>
class Botan::lock_guard< Mutex >

Definition at line 30 of file mutex.h.

## Constructor & Destructor Documentation

template<typename Mutex>

Botan::lock_guard< Mutex >::lock_guard | ( | Mutex & | m | ) |
| inline explicit

Definition at line 33 of file mutex.h.

33 : m_mutex(m)
34 { m_mutex.lock(); }
template<typename Mutex>

Botan::lock_guard< Mutex >::~lock_guard | ( |  | ) |
| inline

Definition at line 36 of file mutex.h.

36 { m_mutex.unlock(); }
template<typename Mutex>

Botan::lock_guard< Mutex >::lock_guard | ( | const lock_guard< Mutex > & | other | ) |
| delete

## Member Function Documentation

template<typename Mutex>

lock_guard& Botan::lock_guard< Mutex >::operator= | ( | const lock_guard< Mutex > & | other | ) |
| delete

The documentation for this class was generated from the following file:

- src/lib/utils/mutex.h